com.microfocus.awm.meta

## Class TaurusMetaModelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.microfocus.awm.meta.TaurusMetaModelException

- All Implemented Interfaces:
    java.io.Serializable

      public class TaurusMetaModelException
      extends java.lang.Exception

  Exception occurring within the AWM meta model (e.g. function package inconsistencies).
  Author:
    RalfP
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusMetaModelException()` Constructs a new exception with no message.
    `TaurusMetaModelException(java.lang.String pMessage)` Constructs a new exception with the specified detail message.
    `TaurusMetaModelException(java.lang.String pMessage, java.lang.Throwable pCause)` Constructs a new exception with the specified detail message and cause.
    `TaurusMetaModelException(java.lang.Throwable pCause)` Constructs a new exception with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaurusMetaModelException

          public TaurusMetaModelException()

      Constructs a new exception with no message.

    - #### TaurusMetaModelException

          public TaurusMetaModelException(java.lang.String pMessage,
                                          java.lang.Throwable pCause)

      Constructs a new exception with the specified detail message and cause.
      Parameters:
        `pMessage` - the message
        `pCause` - the cause

    - #### TaurusMetaModelException

          public TaurusMetaModelException(java.lang.String pMessage)

      Constructs a new exception with the specified detail message.
      Parameters:
        `pMessage` - the message

    - #### TaurusMetaModelException

          public TaurusMetaModelException(java.lang.Throwable pCause)

      Constructs a new exception with the specified cause.
      Parameters:
        `pCause` - the cause

Copyright © 2015 Micro Focus GmbH. All rights reserved.